---
tags: community
title: "Talk: A11y First, and Everyone Wins"
description: "By putting accessibility first we can achieve a far more composable, intuitive, and testable product."
date: 2020-03-26
---

> Come and listen to the real tale of modern automation testing the untestable: a drag and drop user interface. The story of a drag and drop feature doomed to be unaccessible, made accessible. The telling of a feature salvaged by accessibility.
> We've all been told accessibility is important, but rarely do we feel the fruits of the labor directly. We'll discuss how developers, QA and leads can all feel the same benefit our users feel by putting accessibility first.

Includes [sample project for my EmberConf 2020 talk](https://gitlab.com/gaiety/sortable-recipes). Leverages Ember Octane and is fully test driven. Includes the RevealJS presentation and a simple Python backend.

[![Ember Conf 2020](/img/content/a11yfirst.png)](https://noti.st/gaiety/videos/0YtVPZ)

[Watch the recorded talk here](https://noti.st/gaiety/videos/0YtVPZ)

## Talk given at:

* [EmberConf 2020](https://2020.emberconf.com/#/schedule/day-2_a11y-first-and-everyone-wins)
* Ember ATX
* Austin Accessibility and Inclusive Design

