---
tags: community
title: "Talk: Building the Dream UI Component Library"
description: "What is a Design System, do I need one, and what's with all the hype?"
date: 2021-05-25
---

A well made app is visually consistent, appealing, and usable. What does it look like to build a system that can engineers, designers, quality assurance, and product can use to make all of this happen? Let’s dive into the standards and technologies that have gone into building the new design system at [Oncue](https://www.oncue.co/) with accessibility and testing in mind.

[![MagnoliaJS](https://on.notist.cloud/slides/deck6727/large-c8b78982fcf32e0f.png)](https://www.youtube.com/watch?v=5KlBtfO1CmU)

_[“Slides”, relevant URL’s used in presentation](https://www.notion.so/hergaiety/Building-the-Dream-UI-Component-Library-df5e59e84fcc4b02a9b77f5f33cfded2)_

## Talk given at:

[MagnoliaJS](https://www.magnoliajs.com/)

