---
tags: work
title: Senior Software Engineer at Allovue
description: (Aug 2019 - Jul 2020, April 2022 - Present) Building budgeting software to give educators the tools and support they need to allocate resources to the needs of students for a more equitable world.
date: 2022-02-11
image: /img/content/allovue2.png
pinned: true
---

Empowering educators to strategically and equitably allocate resources to best support the needs of students. We're building budgeting software to give school districts the tools they need to give educators the tools they need.

Furthermore, Allovue stands for equity and antiracism. I get to work with fellow other transgender coworkers and I've never felt more at home in the workplace.

![Screencaps of the UI from a newer application](/img/content/allovue2.png)

This has been my first full-time venture into functional programming with [Elixir](https://elixir-lang.org/) and [Phoenix](https://www.phoenixframework.org/) and I'm loving every minute of it.

I've been digging in deep with the rest of product in a very cross-function design, QA and engineering on something I wish I could talk more about. **Coming soon!**

![Blurred phone mockup of a yet unreleased app](/img/content/allovue3.png)

## Prior to 2020

Leveraging modern web technologies we built an ambitious web app with Microstates within [EmberJS](https://emberjs.com/) powered by a [Rails](https://rubyonrails.org/) API. Pushing the boundaries of what is possible with [Ember Data](https://guides.emberjs.com/release/models/) with an advanced [Graphiti](https://www.graphiti.dev) data management layer to ensure payloads are handled efficiently for a better UX.

[![Screencaps of the UI from a previous web application called Budget](/img/content/allovue1.png)](https://www.allovue.com/budget?hsLang=en)

This tool is still in use by many today as a far better solution than passing around spreadsheet files between people and departments.
