---
tags: work
title: Lead Full-Stack Software Engineer at SkillsEngine
description: (Aug 2020 - April 2021) Working with Texas State Technical College (TSTC) at SkillsEngine to connect employers, educators and students in new ways through technology.
date: 2020-08-01
---

We're bridging the skills gap! Employers need qualified candidates. Teachers need to know what skills are missing from their curriculum. People need to find work. My hope in this role is to build software that matters to real people giving students a strong start to their career at places they'll be happier to work at.

![UI Improvements](/img/content/skillsengine-ui.png)

We are building applications using the latest [EmberJS](https://emberjs.com/) and [Ruby on Rails](https://rubyonrails.org/) technologies. My focus at SkillsEngine was to help the team convert from agile to [Shape Up](https://basecamp.com/shapeup), improve accessiblity and UX in key user flows and improve automation testing.

