---
tags: repos
templateEngineOverride: md
title: blabber-comic
description: Converts chat logs to comics.
date: 2018-12-30
---

[Fork on Gitlab](https://gitlab.com/gaiety/blabber-comic)

[![npm version](https://badge.fury.io/js/blabber-comic.svg)](https://badge.fury.io/js/blabber-comic)

## Sample

![Preview](https://raw.githubusercontent.com/hergaiety/blabber-comic/master/comic.png)

## How it works

Powered by Node and a node-canvas a comic can automatically be generated from a json array of users/text and some characters/backgrounds to be chosen at random.

Can be used as a CLI by itself or plugged into other NodeJS projects. Its original use was as a Discord bot plugin on a personal server for fun.

---

## Special thanks to:

* [node-canvas](https://github.com/Automattic/node-canvas) by Cairo
* avatars by Iulia Ardeleanu from the Noun Project
* backgrounds by Olga Libby from Subtle Patterns
