---
layout: content.njk
tags: uses
title: About | Uses
description: 🐕 Canine pretending to be a web engineer addicted to design 💻 (Fae/Femme/Faer or She/Her)
date: 2020-01-14
---

![Site logo, avatar, and visual persona for Ava as a gittery animated colored doodle of an anthromorphic anatolian shepherd with lesbian pride hair](/img/site/avatar.gif)

With a background in design and far too many years coding web apps I strive to build things that make a positive impact in people's lives. [View my Resume](/files/resume.pdf)

I'm proudly working at [Allovue](https://gaiety.me/work/allovue/) as a Senior Software Engineer.

## Uses

### Coding

* [Kitty](https://sw.kovidgoyal.net/kitty/) and [iTerm2](https://iterm2.com/)
* [Neovim](https://neovim.io/) editor, it's vim but nicer
* [Victor Mono](https://rubjo.github.io/victor-mono/), because code should be beautiful
* [Aura Theme](https://github.com/daltonmenezes/aura-theme), for everything I can possibly apply it too (which is many things!)
* [zsh](https://zsh.sourceforge.io/), for a lovely terminal UX

[Check out my Dotfiles](https://gitlab.com/gaiety/dotfiles)

![Terminal Preview](/img/content/uses.png)

### Other Software

* [Firefox](https://www.mozilla.org/en-US/firefox/) w/ [DuckDuckGo](https://duckduckgo.com/), for a private web
* [Notion](https://www.notion.so/), for its kanban todo lists, calendar and trip planner
* [Peek](https://www.omgubuntu.co.uk/2019/09/peek-gif-screen-recorder-update) screen recorder, hands down the quickest way to gif and share on linux and [Kap](https://getkap.co/) for Mac
* [ProtonMail](https://protonmail.com/), for powerful and secure email 
* [ProtonCalendar](https://calendar.protonmail.com/), for knowing what and when things are happening

### Gear

* [Ubuntu Linux](https://ubuntu.com/), because I like to look like a hacker but want a stable work environment
* [Dell XPS 13 9380](https://www.dell.com/en-us/work/shop/cty/pdp/spd/xps-13-9380-laptop?view=configurations), for a light yet solid build 💻
* [Dell D6000](https://www.dell.com/en-us/work/shop/dell-universal-dock-d6000/apd/452-bcyt/pc-accessories), to plug in a crazy number of things with a single USB-C
* [PRODESK® 48" Electric Veridesk](https://www.varidesk.com/products/full-standing-pro-desk-electric?o=Size:48+inch;Color:Reclaimed%20Wood), to have no excuses not to move about a little
* [ELECOM M-HT1DRBK](https://www.amazon.com/ELECOM-M-HT1DRBK-Wireless-Trackball-Mouse/dp/B0735584RM), trackball 🖲️ represent
* [Moonlander](https://www.zsa.io/moonlander/), blank split mechanical keys ⌨️

_Also running a personal home server for side projects, offline data storage and media hosting running on Ubuntu Server._

#### Artsy Hobbies

* [Blackwing Pencils](https://blackwing602.com/) ✏️
* Spray Paint
* Acrylics

#### YouTube

[Channel: Faetale](https://faetale.com/)

* Adobe Premiere
* [EOS M50 Mark II Content Creator Kit](https://shop.usa.canon.com/shop/en/catalog/eos-m50-mark-ii-content-creator-kit)

---

Curious what other developers use? Check out [wesbos/awesome-uses](https://github.com/wesbos/awesome-uses)

