---
tags: work
title: Developer III at Q2ebanking
description: (Jan 2016 - Aug 2019) Enterprise Ember.js & Vue.js powered banking software used by tens of millions worldwide. Mentoring, writing test automation, and writing a component for native HTML Web Components.
date: 2019-08-01
---

[Q2](https://www.q2ebanking.com/) provides a banking platform that interfaces personal and professional banking needs into a single tool. They then offer this as a customizable software as a service to banks and credit unions big or small. Community banks who would have otherwise had to outsource or hire a team to build a platform with potential security holes and poor usability are a thing of the past.

**Stronger communities w/ better financial tools.**

![Mobile banking software](/img/content/q21.jpg)

Built [Ember.js](https://emberjs.com/) powered banking software used by tens of millions worldwide. _Mentored_ new hires, reforged _automation_ testing standards, improved **A11y**.

![Desktop banking software](/img/content/q22.jpg)

Lead an innovative [HTML5 Web Components project](https://gaiety.life/on-web-components) to achieve ambitious cross-team goals. [Read more about that here...](https://gaiety.life/on-web-components)

